#include <stdio.h>
#include <stdlib.h>

#define LINE_MAX 30

int main()
{
    FILE *rfp, *wfp;
    char str[LINE_MAX];

    // Open file for reading.
    rfp = fopen("input.txt", "r");
    
    // Check if file is opened properly
    if (rfp == NULL) {
        printf("Error opening input file.\n");
        exit(1);
    }

    // Open file for writing.
    wfp = fopen("output.txt", "w");

    // Check if file is opened properly
    if (wfp == NULL) {
        printf("Error opening output file.\n");
        exit(1);
    }

    // Read and Write strings from/to a file.
    while (fgets(str, LINE_MAX, rfp) != NULL) {
        fputs(str, wfp);
    }

    // Close the two files.
    fclose(rfp);
    fclose(wfp);

    return 0;
}
